<re-captcha  (resolved)="resolved($event)" [siteKey]="SITE_KEY"></re-captcha>
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" (click)="changeContent(false)" >
  Poner marcadores
</button>

<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal2"  (click)="changeContent(true)">
  Marcadores fijos
</button>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" >
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 *ngIf="showContent"class="modal-title" id="exampleModalLabel">Mostrar mapa (Marcadaores fijos)</h5>
        <h5 *ngIf="!showContent"class="modal-title" id="exampleModalLabel">Mostrar mapa (Poner amrcadores)</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         <div style="height: 400px;" leaflet [leafletOptions]="options" [leafletLayersControl]="layersControl" (leafletClick)="clickMap($event)"
          (leafletMapReady)="onMapReady($event)" (leafletMouseOver)="refreshMap()">
          <div *ngIf="showContent" [leafletLayer]="layer"></div>
        </div> 
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal">Ok</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="exampleModal2" tabindex="-1" aria-labelledby="exampleModalLabel2" aria-hidden="true" >
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">2 diferentes</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- <div style="height: 400px;" leaflet [leafletOptions]="options" [leafletLayersControl]="layersControl" (leafletClick)="clickMap($event)"
          (leafletMapReady)="onMapReady($event)" (leafletMouseOver)="refreshMap()">
          <div *ngIf="showContent" [leafletLayer]="layer"></div>
        </div> -->
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" data-dismiss="modal">Ok</button>
      </div>
    </div>
  </div>
</div>




<!-- Modal -->
